Citizens Plugin

Discussion in 'Spigot Plugin Help' started by TeamMentalize, May 8, 2015.

  1. Hi SpigotMC Community!
    I have been wondering, if there are any Citizens version that works with 1.8?
    I currently have Spigot version 1.8-R0.1-Snapshot